import {Component, OnInit} from '@angular/core';
import {fadeIn} from '../../animations/fade-in';
import {TransferService} from '../../service/transfer.service';

@Component({
    selector: 'app-page-detail',
    templateUrl: './page-detail.component.html',
    styleUrls: ['./page-detail.component.scss'],
    animations: [fadeIn]
})
export class PageDetailComponent implements OnInit {

    constructor(private tf: TransferService) {
    }

    ngOnInit() {
    }

    toList() {
        this.tf.transfer({
            from: 'app-page-detail',
            to: 'app-home',
            url: '/main/index',
            query: '',
            hash: 'page_two'
        });
    }

}
